Subject: bug#21609: bug#24837: 26.0.50; term.el: In char mode, displayed and executed commands can differ

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Sep 2017 17:14:27 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Wed, 23 Nov 2016 20:21:56 +0000
> Cc: [email-masked], [email-masked]
> 
> Phil Sainty <[email-masked]> schrieb am Mi., 23. Nov. 2016 um 21:09 Uhr:
> 
>  On 24/11/16 08:44, Philipp Stephani wrote:
>  > Phil Sainty <[email-masked]> schrieb am Mo., 31. Okt. 2016 um
>  >> This is a duplicate of bug #21609 -- any command which directly
>  >> modifies the state of the terminal buffer can cause the apparent
>  >> state to be out of sync with the 'actual' state (i.e. the state
>  >> according to the inferior process).
>  >
>  > Should maybe terminal buffers in char-mode be read-only? The process
>  > filter could then use inhibit-read-only.
> 
>  That's an interesting thought, and may be worth investigating (offhand
>  I've no idea whether it's workable), but note that it's not sufficient
>  to deal with all cases -- any Emacs command which moves point can create
>  an inconsistent state without modifying the buffer contents.
> 
> Hmm, then maybe the entire buffer also needs to be made intangible, except for the actual position of the
> terminal cursor? 

This bug is currently one of those marked to block the release of
Emacs 26.1.  Given that it existed for quite some time, I tend to
remove the blocking status, but if someone has practical ideas how to
fix this, I think we should do that now.

Thanks.